Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		id3lib
Version:	3.8.3
Release:	4
License:	GNU/GPL 
URL:		http://id3lib.sourceforge.net
Group:		Multimedia/Audio
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-gcc34.patch
Patch1:		%{name}-%{version}-bom.patch
Patch2:		%{name}-%{version}-includes.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	id3lib can read, write and manipulate ID3v1 and ID3v2 tags.
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
id3lib is an open-source, cross-platform software development library for reading,
writing, and manipulating ID3v1  and ID3v2 tags.
It is an on-going project whose primary goals are full compliance with the
ID3v2 standard, portability across several platforms, and providing a powerful
and feature-rich API with a highly stable and efficient implementation.
For more details see: http://id3lib.sourceforge.net

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -gcc34
%patch2 -p1

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 15 2008 Christian Wasem <wasem@ccux-linux.de> 3.8.3-4
- added includes.patch for better compiling against id3lib
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.8.3-3
- added patch against corruption of UTF-16 ID-tags
* Wed Jul 13 2005 Christian Wasem <wasem@ccux-linux.de> 3.8.3-2
- rebuild for source rpm
